Description

Need to verify if configs are correct and/or if DAQInterface is doing bookkeeping properly

History

#1 - 07/26/2018 10:13 AM - Kurt Biery
- Status changed from New to Assigned

- Assignee set to Wesley Ketchum

#2 - 07/26/2018 11:01 AM - Wesley Ketchum

- Status changed from Assigned to Work in progress

OK, so, issue is that the zmqg_fragment_connection_out parameter in the felix boardreaders needs to be updated to change with partition to match
value in timing boardreaders. This is a bit different in that it's a user fragment generator config that needs updating, and not the normal bookkeeping

for ranks and etc? So need to work on a better design.

For the moment, Felix BRs will work on partition2 without getting interrupted by other partitions.

#3 - 08/01/2018 10:21 AM - Wesley Ketchum

Giovanna bumped us on this today...

#4 - 08/01/2018 01:39 PM - Kurt Biery

1) ask RC developers (John)

2) learn where in the DAQI code this happens (Wes)

#5 - 08/01/2018 01:44 PM - Kurt Biery

For future discussion: think about parameters that change in BRs dependent on partition number.

#6 - 08/01/2018 01:54 PM - John Freeman
For DAQInterface v3_00_05s:

zmgq_fragment_connection_out is read in lines 108-112 in rc/control/config_functions_local.py:

res = re.search(r"\s*zmg_fragment_connection_out\s*:\s* (\S+)",

line)
if res:

self.zmg_fragment_connection_out

continue

res.group (1) )

It overwrites the FHICL document on lines 518-521 of rc/control/bookkeeping.py:

if not self.zmg_fragment_connection_out is None:

self.procinfos[i_proc].fhicl_used

ent_connection_out)),

#7 - 08/17/2018 02:14 PM - Kurt Biery

- Status changed from Work in progress to Resolved

04/08/2021

"zmqg_fragment_connection_out: %d"

self.procinfos[i_proc].fhicl_used)

3

S

re.sub ("zmg_fragment_connection_out\s*:\s*[0-9]+",

(int (self.zmg fragm
